<?php

require_once 'base/FornecedorEntityBase.php';

/**
 * This class has been auto-generated by Setforms
 * 
 * @package Entity
 * 
 * @author
 */
class FornecedorEntity extends FornecedorEntityBase
{

	public static function consultaFornecedorParcnegocio($nrparc, $nrorg){
		
		return Fornecedor::consultaFornecedorParcnegocio($nrparc, $nrorg);
		
	}
	
	/**
     * Cria um novo registro de Fornecedor.
     * 
     * @param integer $nrparcnegocio 	Numero do Parceiro de Negócio
     * @param string  $inscricao	 	Identificador da Inscrição
     * @param integer $nrinscricaoparc	Numero da Inscrição do parceiro
     * @param string  $nome			 	Nome do funcionário
     * @param string  $nomereduzido		Nome Reduzido do Fornecedor
     * @param integer $nrorg 		 	Numero da Organização
     * 
     * @return void
     *
     * @author gustavosilva - 29/05/2012
     */
	public static function createNewFornecedor($nrparcnegocio, $inscricao, $nrinscricaoparc, $nome, $nomereduzido, $nrorg){
		
		try{
	    	
			$fornecedor = new self();
			$fornecedor->setNrparcnegocio($nrparcnegocio);
			$fornecedor->setCdforneced(Novocodigo::geraCodigo(Ambiente::getNrorg(), 'FORNECEDOR', 10));
			$fornecedor->setIdtpijurforn($inscricao);
			$fornecedor->setNrinsjurforn($nrinscricaoparc);
			$fornecedor->setNmrazsocforn($nome);
			$fornecedor->setNmfantforn($nomereduzido);
			$fornecedor->setNrorg($nrorg);
			FctUtil::newEntityAudit($fornecedor);
			$fornecedor->persist();
	    	
	    }catch(Exception $e){
	    	
	    	throw $e;
	    	
	    }
		
	}




	/**
     * Deleta um registro de Fornecedor.
     * 
     * @param integer $nrparcnegocio 	Numero do Parceiro de Negócio
     * @param integer $nrorg 		 	Numero da Organização
     * 
     * @return void
     *
     * @author gustavosilva - 29/05/2012
     */
	public static function deleteFornecedorFromNrparcnegocio($nrparcnegocio, $nrorg){
		
		Fornecedor::deleteFornecedorFromNrparcnegocio($nrparcnegocio, $nrorg);
		
	}


    /**
     * Consulta por Nr inscricao juridica do forncedor e numero da organizacao.
     *
     * @static
     * @param string $nrinscjurforn Numero da inscricao juridica do fornecedor.
     * @param string $nrorg         Numero da organizacao.
     * @return mixed
     */
    public static function consulta($nrinscjurforn, $nrorg) {
        $obj = Fornecedor::getObjectByWhere(
           "NRINSJURFORN = ? AND NRORG = ?",
            array($nrinscjurforn, $nrorg));
        return $obj;
    }
	

    public static function retornaFornecedor($nrParceiro, $nrOrg){

        return Fornecedor::consultaFornecedor($nrParceiro, $nrOrg);


    }


}

